/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.inboxlistener.engine;



/**
 *
 * @version $Id: DBAccount.java,v 1.1 2006/02/15 13:21:44 gbmiglia Exp $
 */
public class DBAccount
{

  /**   */
  private String jdbcDBName   = null;
  /**   */
  private String jdbcDriver   = null;
  /**   */
  private String jdbcUrl      = null;;
  /**   */
  private String jdbcUser     = null;;
  /**   */
  private String jdbcPassword = null;;

  /** reloading time  */
  private int reloadingTime   = 0;


   /**
    *
    */
   public DBAccount(String jdbcDBName,
                    String jdbcDriver,
                    String jdbcUrl,
                    String jdbcUser,
                    String jdbcPassword,
                    int reloadingTime){
      this.jdbcDBName    = jdbcDBName;
      this.jdbcDriver    = jdbcDriver;
      this.jdbcUrl       = jdbcUrl;
      this.jdbcUser      = jdbcUser;
      this.jdbcPassword  = jdbcPassword;
      this.reloadingTime = reloadingTime;
   }

   /**
    *
    */
   public String getJdbcDBName(){
      return this.jdbcDBName;
   }

   /**
    *
    */
   public String getJdbcDriver(){
      return this.jdbcDriver;
   }

   /**
    *
    */
   public String getJdbcUrl(){
      return this.jdbcUrl;
   }

   /**
    *
    */
   public String getJdbcUser(){
      return this.jdbcUser;
   }

   /**
    *
    */
   public String getJdbcPassword(){
      return this.jdbcPassword;
   }

   /**
    *
    */
   public int getReloadingTime(){
      return this.reloadingTime;
   }

}
