/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.util;


/**
 *
 * @version $Id: Def.java,v 1.2 2006/02/06 09:03:47 gbmiglia Exp $
 */
public class Def {


    public static final String LOGGER_NAME = "funambol.email";

    public static final String SEPARATOR = "/";

    // used in the document existing check
    public static final String OPERATION_NOP    = "NOP";
    public static final String OPERATION_INSERT = "INSERT";
    public static final String OPERATION_UPDATE = "UPDATE";

    // languages
    public static final String LANG_IT = "it";
    public static final String LANG_EN = "en";
    public static final String LANG_DE = "de";
    public static final String LANG_FR = "fr";

    // protocols
    public static final String PROTOCOL_IMAP = "imap";
    public static final String PROTOCOL_POP3 = "pop3";

    //folder IDs
    public static final String FOLDER_INBOX_ID   = "I";
    public static final String FOLDER_OUTBOX_ID  = "O";
    public static final String FOLDER_DRAFTS_ID  = "D";
    public static final String FOLDER_SENT_ID    = "S";
    public static final String FOLDER_TRASH_ID   = "T";

    // get name from resources files
    public static final String LABEL_INBOX   = "INBOX";
    public static final String LABEL_OUTBOX  = "OUTBOX";
    public static final String LABEL_DRAFTS  = "DRAFTS";
    public static final String LABEL_SENT    = "SENT";
    public static final String LABEL_TRASH   = "TRASH";

    // filter
    // time filter field
    public static final String FILTER_TIME_FIELD = "modified";
    // id filter field
    public static final String FILTER_ID_FIELD = "LUID";

    // size filter field
    public static final String FILTER_SIZE_LABEL_HEADER = "emailitem"  ;
    public static final String FILTER_SIZE_LABEL_BODY   = "texttype"   ;
    public static final String FILTER_SIZE_LABEL_ATTACH = "attachtype" ;
    // size filter values
    //  000001 = 1   FILTER_SIZE_H
    //  000011 = 3   FILTER_SIZE_HPERC
    //
    //  000101 = 5   FILTER_SIZE_H_B
    //  001111 = 15  FILTER_SIZE_H_BPERC
    //
    //  010101 = 21  FILTER_SIZE_H_B_A
    //  111111 = 63  FILTER_SIZE_H_B_APERC
    public static final int FILTER_SIZE_H         = 1 ;
    public static final int FILTER_SIZE_HPERC     = 3;
    public static final int FILTER_SIZE_H_B       = 5;
    public static final int FILTER_SIZE_H_BPERC   = 15;
    public static final int FILTER_SIZE_H_B_A     = 21;
    public static final int FILTER_SIZE_H_B_APERC = 63;


    // Header label
    public static final String HEADER_LABEL_MESSAGE_ID  ="Message-ID";
    public static final String HEADER_LABEL_DATE        ="Date";
    public static final String HEADER_LABEL_SYNCMESSAGE ="X-Funambol";

    public static final String HEADER_VALUE_SYNCMESSAGE ="true";

    // default Content for a mail
    public static final String CONTENT_VALUE_BODY        = "";
    public static final String CONTENT_VALUE_CONTENTTYPE = "text/plain; charset=us-ascii";

}
