--
-- Initialization data for the Email Connector module
--
-- @version $Id: create_schema.sql,v 1.3 2006/02/15 13:23:26 gbmiglia Exp $
--


create table fnbl_email_cache (
    id         varchar(200),
    source_uri varchar(128),
    principal  varchar(10),
    last_crc   bigint
);

create table fnbl_email_accounts (
    username     varchar(50),
    password     varchar(50),
    listener_id  varchar(20),
    activation   char,

    constraint pk_account primary key (username, password, listener_id)
);

create table fnbl_email_listeners (
    listener_id  varchar(20),
    protocol     varchar(10),  

    constraint pk_listener primary key (listener_id)
);

