/*
 * <FUNAMBOLCOPYRIGHT>
 * Copyright (C) 2005 FUNAMBOL.
 * All Rights Reserved.  No use, copying or distribution of this
 * work may be made except in accordance with a valid license
 * agreement from FUNAMBOL.  This notice must be
 * included on all copies, modifications and derivatives of this
 * work.
 *
 * FUNAMBOL MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
 * OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. FUNAMBOL SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * </FUNAMBOLCOPYRIGHT>
 */
package com.funambol.email.exception;



/**
 *
 * @version $Id: InboxListenerConfigException.java,v 1.1 2006/02/15 13:22:31 gbmiglia Exp $
 */
public class InboxListenerConfigException extends Exception {

    /**
     * Creates a new instance of <code>InboxListenerConfigException</code> without
     * detail message.
     */
    public InboxListenerConfigException() {

    }

    /**
     * Constructs an instance of <code>InboxListenerConfigException</code> with
     * the specified detail message.
     *
     * @param msg the detail message.
     */
    public InboxListenerConfigException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>InboxListenerConfigException</code> with
     * the specified detail message.
     *
     * @param msg String
     * @param cause Throwable
     */
    public InboxListenerConfigException(String msg, Throwable cause) {
        super(msg, cause);
    }

}