/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.inboxlistener.admin;


import java.beans.XMLEncoder;
import java.beans.XMLDecoder;
import java.io.*;



/**
 * This class loads the parameter from the XML configuration file
 *
 * @author  Gilberto Migliavacca
 * @version $Id: ConfigHelper.java,v 1.1 2006/02/15 13:20:43 gbmiglia Exp $
 */
public class ConfigHelper {

    /**
     *
     */
    public static void write(InboxListenerConfig f, String filename)
      throws Exception{
        XMLEncoder encoder = new XMLEncoder( new BufferedOutputStream(
                new FileOutputStream(filename)));
        encoder.writeObject(f);
        encoder.close();
    }

    /**
     *
     */
    public static InboxListenerConfig read(String filename)
      throws Exception {
        XMLDecoder decoder = new XMLDecoder(new BufferedInputStream(
                new FileInputStream(filename)));
        InboxListenerConfig o = (InboxListenerConfig)decoder.readObject();
        decoder.close();
        return o;
    }

}
