/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.inboxlistener.engine;



/**
 *
 * @version $Id: WSAccount.java,v 1.1 2006/02/15 13:21:44 gbmiglia Exp $
 */
public class WSAccount
{

   /**   */
   private String  wsEndPoint         = null;
   /**   */
   private String  wsUsername         = null;
   /**   */
   private String  wsPassword         = null;
   /**   */
   private String  wsSyncSource       = null;



   /**
    *
    */
   public WSAccount(String wsEndPoint,
                    String wsUsername,
                    String wsPassword,
                    String wsSyncSource){
      this.wsEndPoint         = wsEndPoint;
      this.wsUsername         = wsUsername;
      this.wsPassword         = wsPassword;
      this.wsSyncSource       = wsSyncSource;
   }

   /**
    *
    */
   public String getWsEndPoint(){
      return this.wsEndPoint;
   }

   /**
    *
    */
   public String getWsUsername(){
      return this.wsUsername;
   }

   /**
    *
    */
   public String getWsPassword(){
      return this.wsPassword;
   }

   /**
    *
    */
   public String getWsSyncSource(){
      return this.wsSyncSource;
   }

}
