/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.items.model;


/**
 *
 * @version $Id: FlagProperties.java,v 1.2 2006/02/06 09:02:33 gbmiglia Exp $
 */
public class FlagProperties
{

   private boolean isSeen     ;
   private boolean isAnswered ;
   private boolean isDeleted  ;
   private boolean isDraft    ;
   private boolean isRecent   ;
   private boolean isFlagged  ;

   /**
    *
    * @param isSeen boolean
    * @param isAnswered boolean
    * @param isDeleted boolean
    * @param isDraft boolean
    * @param isRecent boolean
    * @param isFlagged boolean
    */
   public FlagProperties(boolean isSeen,
                         boolean isAnswered,
                         boolean isDeleted,
                         boolean isDraft,
                         boolean isRecent,
                         boolean isFlagged){
      this.isSeen     = isSeen;
      this.isAnswered = isAnswered;
      this.isDeleted  = isDeleted;
      this.isDraft    = isDraft;
      this.isRecent   = isRecent;
      this.isFlagged  = isFlagged;

   }

   /**
    *
    *
    * @return String
    */
   public String toString(){
     return  "" + this.isSeen + this.isAnswered + this.isDeleted +
                  this.isDraft + this.isRecent + this.isFlagged;

   }

}
